#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>

@interface AlarmWidgetPlugin : NSObject {
    WebScriptObject	*webScriptObject;
	NSSound			*mySound;
	NSString		*growlIconPath;
	int				playCounter;
}

#pragma mark Implementation
- (void)load:(NSString *)path;
- (void)play:(NSString *)times;
- (void)playLoop;
- (void)stop;
- (void)beep;
- (void)sound:(NSSound *)sound didFinishPlaying:(BOOL)aBool;
- (NSString *)nameOfWidget;

#pragma mark Growl
- (void)growlRegist;
- (void)growlNotify;
- (BOOL)checkIfRunningGrowl;
- (BOOL)setGrowlIcon:(NSString *)iconFile;

#pragma mark Accessor methods
- (NSString *)growlIconPath;
- (void)setGrowlIconPath:(NSString *)newGrowlIconPath;

@end
